summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-03-22 14:30:17 +0100
committerLars Wendler <polynomial-c@gentoo.org>2019-03-22 14:30:30 +0100
commit374eda700c09a5d3b466c25c2e29f6d27eeb330a (patch)
treed2e0ffa3e2bfc4c40f7ac4e67cc21c179f4be981
parentnet-vpn/networkmanager-libreswan: bump to 1.2.10, stop using libnm-glib (diff)
downloadgentoo-374eda700c09a5d3b466c25c2e29f6d27eeb330a.tar.gz
gentoo-374eda700c09a5d3b466c25c2e29f6d27eeb330a.tar.bz2
gentoo-374eda700c09a5d3b466c25c2e29f6d27eeb330a.zip
sys-cluster/wulfware: Fixed build with sys-libs/ncurses[tinfo]
Closes: https://bugs.gentoo.org/528588 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--sys-cluster/wulfware/files/wulfware-2.6.0-tinfo.patch22
-rw-r--r--sys-cluster/wulfware/wulfware-2.6.0.ebuild40
2 files changed, 47 insertions, 15 deletions
diff --git a/sys-cluster/wulfware/files/wulfware-2.6.0-tinfo.patch b/sys-cluster/wulfware/files/wulfware-2.6.0-tinfo.patch
new file mode 100644
index 00000000000..7e88e621d91
--- /dev/null
+++ b/sys-cluster/wulfware/files/wulfware-2.6.0-tinfo.patch
@@ -0,0 +1,22 @@
+--- wulfware-2.6.0/configure.ac
++++ wulfware-2.6.0/configure.ac
+@@ -61,6 +61,8 @@
+
+ # Checks for libraries.
+ # FIXME: Replace `main' with a function in `-lcurses':
++AC_CHECK_LIB([tinfo], [main], TINFO_LIBS=-ltinfo, TINFO_LIBS=)
++AC_SUBST(TINFO_LIBS)
+ AC_CHECK_LIB([curses], [main])
+ # FIXME: Replace `main' with a function in `-lm':
+ AC_CHECK_LIB([m], [main])
+--- wulfware-2.6.0/wulfstat/Makefile.am
++++ wulfware-2.6.0/wulfstat/Makefile.am
+@@ -63,7 +63,7 @@
+ LDFLAGS =
+
+ # Libraries
+-LIBS = -L ../libwulf -lwulf -lpthread -lcurses -lxml2 -lm
++LIBS = -L ../libwulf -lwulf -lpthread -lcurses $(TINFO_LIBS) -lxml2 -lm
+
+ #========================================================================
+ # List of variants one can make. all is the default. We always
diff --git a/sys-cluster/wulfware/wulfware-2.6.0.ebuild b/sys-cluster/wulfware/wulfware-2.6.0.ebuild
index 0dd9e8708cd..dee0715397e 100644
--- a/sys-cluster/wulfware/wulfware-2.6.0.ebuild
+++ b/sys-cluster/wulfware/wulfware-2.6.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=0
+EAPI=7
-inherit autotools eutils multilib toolchain-funcs
+inherit autotools toolchain-funcs
DESCRIPTION="Applications to monitor on a beowulf- or GRID-style clusters"
HOMEPAGE="http://www.phy.duke.edu/~rgb/Beowulf/wulfware.php"
@@ -14,24 +14,34 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
-RDEPEND="dev-libs/libxml2
- sys-libs/ncurses
- sys-libs/zlib"
-DEPEND="${RDEPEND}
+RDEPEND="
+ dev-libs/libxml2:=
+ sys-libs/ncurses:0=
+ sys-libs/zlib:=
+"
+DEPEND="
+ ${RDEPEND}
!sys-cluster/wulfstat
- !sys-cluster/xmlsysd"
+ !sys-cluster/xmlsysd
+"
-src_unpack() {
- unpack ${A}
- cd "${S}"
- epatch "${FILESDIR}"/${P}-opts_and_strip.patch
+PATCHES=(
+ "${FILESDIR}"/${P}-opts_and_strip.patch
+ "${FILESDIR}"/${P}-tinfo.patch #528588
+)
+
+src_prepare() {
+ default
eautoreconf
}
-src_compile() {
+src_configure() {
tc-export CC
econf --disable-dependency-tracking
- emake -j1 || die "emake failed."
+}
+
+src_compile() {
+ emake -j1
}
src_install() {
@@ -42,7 +52,7 @@ src_install() {
dodoc AUTHORS ChangeLog NEWS NOTES README xmlsysd/DESIGN
# FIXME: Update to Gentoo style init script.
- rm -rf "${D}"/etc/init.d/wulf2html
+ rm -r "${ED}"/etc/init.d/wulf2html || die
}
pkg_postinst() {